from PySide2.QtWidgets import QDialog

from RegisterVector.ui.add.helperMap import getMapView
from RegisterVector.ui.helperUI import load_ui
from RegisterVector.ui.mapWidget import dlgMapWidget
from RegisterVector.ui.widgetMapCtrlRegistration import MapControlRegistration


class testDialogReg(QDialog):
    def __init__(self,parent=None):
        super(testDialogReg, self).__init__(parent)
        self.ui = load_ui("DlgTestDialogMap2.ui", parent)
        map_view=getMapView("Базовая карта")
        #map_view=getMapView("TatbReg")
        self.__mapwidget=MapControlRegistration(map_view,self.ui.frame_mapcntrl)
        self.ui.mapControlReg.addWidget(self.__mapwidget)
        #self.__mapwidget.click_map.connect(self.__get_coord)
    def show(self):
        self.ui.show()
    def __get_coord(self,x,y):
        patern_xy = "x: {x:.5f} y: {y:.5f}"

        print(patern_xy.format(x=x, y=y))

