from PySide2.QtWidgets import QWidget

from RegisterVector.ui.helperUI import load_ui
from RegisterVector.ui.mapWidget import dlgMapWidget


class MapControlRegistration(QWidget):
    def __init__(self,map_view,parent=None):
        self.ui = load_ui("widgetMapNTest.ui", parent)
        super(MapControlRegistration, self).__init__(parent)
        self.__mapwidget = dlgMapWidget(map_view, self.ui.frame_map)
        self.ui.mapLayout.addWidget(self.__mapwidget)
        self.__mapwidget.click_map.connect(self.__get_coord)
    def show(self):
        self.ui.show()
    def __get_coord(self,x,y):
        patern_xy = "x: {x:.5f} y: {y:.5f}"

        print(patern_xy.format(x=x, y=y))
