from PySide2.QtWidgets import QDialog, QVBoxLayout, QLabel, QPushButton

from RegisterVector.ui.add.helperMap import getMapView
from RegisterVector.ui.helperUI import load_ui
from RegisterVector.ui.widgetMapRegister import WidgetMapReg


class RegisterVector(QDialog):
    def __init__(self,parent=None):

        self.ui = load_ui("DlgRegisterVector4.ui", parent)
        super(RegisterVector, self).__init__(parent)
        self.ui.mousePressEvent = self.mousePressEvent
        #self.ui.vl = QVBoxLayout()
        self.__widgetBaseMap=WidgetMapReg(self.ui.groupBoxBaseMap)
        #label = QPushButton('Button 1')
        self.__widgetRegisterTable = WidgetMapReg(self.ui.groupBoxRegMap)
        self.ui.verticalBaseMap.addWidget(self.__widgetBaseMap.ui)

        #self.ui.frame.setLayout(self.ui.vl)
        self.ui.verticalMapRegister.addWidget(self.__widgetRegisterTable.ui)

    def mousePressEvent(self, event) -> bool:
        print("mouseEvent")
    def show(self):
        '''Тест '''
        self.__widgetBaseMap.setActiveMap(getMapView("Базовая карта"))
        self.__widgetRegisterTable.setActiveMap(getMapView("TatbReg"))
        self.ui.show()
        #self.__widgetBaseMap.show()


